# Get deploys

Get a paginated list of deploys.

```
GET /deploys
```

## Query params

| Query param              | Description                                  |
| ------------------------ | -------------------------------------------- |
| `caller_public_key`      | Deploy caller public key                     |
| `block_hash`             | Hash of the deploy block                     |
| `contract_package_hash`  | Contract package hash of the called contract |
| `contract_hash`          | Called contract hash                         |
| `contract_entrypoint_id` | Called entry point ID                        |
| `from_block_height`      | From block height range                      |
| `to_block_height`        | To block height range                        |

## Sorting

| Property    | Description               |
| ----------- | ------------------------- |
| `timestamp` | Sort deploys by timestamp |

Default sorting is `timestamp DESC`

## Optional properties

| Property                   | Type                                                                                  | Description                                                                                                 |
| -------------------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the deploy caller |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                                |
| `caller_cspr_name`         | `string`                                                                              | Primary CSPR.name of the deploy caller account                                                              |
| `contract_package`         | [`ContractPackage`](https://docs.cspr.cloud/rest-api/contract-package)                | `ContractPackage` entity.                                                                                   |
| `contract`                 | [`Contract`](https://docs.cspr.cloud/rest-api/contract)                               | `Contract` entity.                                                                                          |
| `contract_entrypoint`      | [`ContractEntrypoint`](https://docs.cspr.cloud/rest-api/contract-entry-point)         | `ContractEntrypoint` entity.                                                                                |
| `rate`                     | `float32`                                                                             | CSPR rate for specified currency that was relevant at the moment of deploy creation.                        |
| `transfers`                | \[][`Transfer`](https://docs.cspr.cloud/rest-api/transfer)                            | List of `Transfer` entities.                                                                                |
| `nft_token_actions`        | \[] [`NFTTokenAction`](https://docs.cspr.cloud/rest-api/non-fungible-token-action)    | List of `NFTTokenAction` entities.                                                                          |
| `ft_token_actions`         | \[] [`FTTokenAction`](https://docs.cspr.cloud/rest-api/fungible-token-action)         | List of `Fungible token action` entities.                                                                   |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/documentation/overview/pagination)[`<Deploy>`](https://docs.cspr.cloud/rest-api/deploy)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/deploys' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 9405323,
  "page_count": 940533,
  "data": [
    {
      "args": {
        "amount": {
          "cl_type": "U512",
          "parsed": "2760317840"
        },
        "id": {
          "cl_type": {
            "Option": "U64"
          },
          "parsed": 0
        },
        "target": {
          "cl_type": "PublicKey",
          "parsed": "01e07ec431dc15a21e7319dd7d172cfcb152c28dfeaba32b1ccade783a804beb62"
        }
      },
      "block_hash": "2742ae284dda52514016e69bd31aa63f7caa2e162cb1244a4d3ba3bc8c6a899e",
      "block_height": 5059752,
      "caller_hash": "56c423f6791fd5437f1c8307256951c810f484e934989457458c6d3ada54f22b",
      "caller_public_key": "01eeeb006b7c6734b3b76720525fa4bbff38060ec2eb974d26de0d03cd1019ce29",
      "consumed_gas": "100000000",
      "contract_hash": "010c3fe81b7b862e50c77ef9a958a05bfa98444f26f96f23d37a13c96244cfb7",
      "contract_package_hash": "9824d60dc3a5c44a20b9fd260a412437933835b52fc683d8ae36e4ec2114843e",
      "cost": "100000000",
      "deploy_hash": "aabe3b3845c1cb9e11bd8d1d16a27a80c0e6a69016cc77e0a1a181fb2835cc23",
      "entry_point_id": 10,
      "error_message": null,
      "execution_type_id": 6,
      "gas_price_limit": 1,
      "is_standard_payment": true,
      "payment_amount": "100000000",
      "pricing_mode_id": 0,
      "refund_amount": "0",
      "runtime_type_id": 0,
      "status": "processed",
      "timestamp": "2025-05-28T11:56:39Z",
      "version_id": 1
    },
    {
      "args": {
        "amount": {
          "cl_type": "U512",
          "parsed": "2760317840"
        },
        "id": {
          "cl_type": {
            "Option": "U64"
          },
          "parsed": 0
        },
        "target": {
          "cl_type": "PublicKey",
          "parsed": "01eeeb006b7c6734b3b76720525fa4bbff38060ec2eb974d26de0d03cd1019ce29"
        }
      },
      "block_hash": "74e7aa55ef32810fd897661973261c963a5baa510bb49ff565d6bef9a05e1c0d",
      "block_height": 5059751,
      "caller_hash": "81aeb5de673ec4b7c150d0961a2cb34e5d21a7281c6cf2dd4f8a93c8556dac4a",
      "caller_public_key": "01e07ec431dc15a21e7319dd7d172cfcb152c28dfeaba32b1ccade783a804beb62",
      "consumed_gas": "100000000",
      "contract_hash": "010c3fe81b7b862e50c77ef9a958a05bfa98444f26f96f23d37a13c96244cfb7",
      "contract_package_hash": "9824d60dc3a5c44a20b9fd260a412437933835b52fc683d8ae36e4ec2114843e",
      "cost": "100000000",
      "deploy_hash": "573de6ddae4b0c67439ff6b94f0e8ec638b9ef547cb63ba319e39b2f9c6d5d67",
      "entry_point_id": 10,
      "error_message": null,
      "execution_type_id": 6,
      "gas_price_limit": 1,
      "is_standard_payment": true,
      "payment_amount": "100000000",
      "pricing_mode_id": 0,
      "refund_amount": "0",
      "runtime_type_id": 0,
      "status": "processed",
      "timestamp": "2025-05-28T11:56:21Z",
      "version_id": 1
    },
    ...
    {
      "args": {
        "amount": {
          "cl_type": "U512",
          "parsed": "2856973008"
        },
        "id": {
          "cl_type": {
            "Option": "U64"
          },
          "parsed": 0
        },
        "target": {
          "cl_type": "PublicKey",
          "parsed": "01e07ec431dc15a21e7319dd7d172cfcb152c28dfeaba32b1ccade783a804beb62"
        }
      },
      "block_hash": "6800b675d1b59cc2ddc40a2cbd071db2c75ed0d03c9215c4a2b8cdf0eda37d68",
      "block_height": 5059741,
      "caller_hash": "56c423f6791fd5437f1c8307256951c810f484e934989457458c6d3ada54f22b",
      "caller_public_key": "01eeeb006b7c6734b3b76720525fa4bbff38060ec2eb974d26de0d03cd1019ce29",
      "consumed_gas": "100000000",
      "contract_hash": "010c3fe81b7b862e50c77ef9a958a05bfa98444f26f96f23d37a13c96244cfb7",
      "contract_package_hash": "9824d60dc3a5c44a20b9fd260a412437933835b52fc683d8ae36e4ec2114843e",
      "cost": "100000000",
      "deploy_hash": "cb05e0a4d1a2beb607ddfa79f5612bafd441ae1d6c5b7fa3b7f005758db74049",
      "entry_point_id": 10,
      "error_message": null,
      "execution_type_id": 6,
      "gas_price_limit": 1,
      "is_standard_payment": true,
      "payment_amount": "100000000",
      "pricing_mode_id": 0,
      "refund_amount": "0",
      "runtime_type_id": 0,
      "status": "processed",
      "timestamp": "2025-05-28T11:53:28Z",
      "version_id": 1
    }
  ]
}
```
